
real f(real x) {
  int i=(x<0 ? 0 : 1);
  real t = (x<0 ? (x+3)/3 : x/3);
  return (1-t)^3*fx[i]+3*(1-t)^2*t*(fx[i]+dfx[i])+3*(1-t)*t^2*(fx[i+1]-dfx[i+1])+t^3*fx[i+1];
}

real df(real x) {
  real h = 0.000001;
  return (f(x+h)-f(x))/h;
}

if (solution) {
  label(format("Lösung %d",ex),(xmin/2,ymax),N);
} else {
  label(format("Aufgabe %d",ex),(xmin/2,ymax),N);
  label("Name:",(0.9,ymax),N);
}


draw(graph(f, xmin, xmax));

if (solution) {
  draw(graph(df, xmin, xmax),red);
}

