# coding: utf-8
require "matrix"
require "./header-footer.rb"





e = [
    ["$a^n \\cdot a^m$", "$a^n\\cdot a^m = a^{n+m}$. 
     <b>Beweis</b>: $a^n \\cdot a^m = 
    \\underbrace{a\\cdot a \\cdot \\ldots \\cdot a}_{n \\text{ Faktoren}} \\cdot
    \\underbrace{a\\cdot a \\cdot \\ldots \\cdot a}_{m \\text{ Faktoren}} =
    \\underbrace{a\\cdot a \\cdot \\ldots \\cdot a}_{n+m \\text{ Faktoren}} =a^{n+m}$"],
    ["$(a \\cdot b)^n$",
     "$(a \\cdot b)^n = a^n \\cdot b^n$. <b>Beweis</b>: $(a \\cdot b)^n = 
    \\underbrace{(a \\cdot b) \\cdot (a \\cdot b) \\cdot \\ldots \\cdot (a \\cdot b)}_{n \\text{ Klammern}} =
    \\underbrace{a\\cdot a \\cdot \\ldots \\cdot a}_{n \\text{ Faktoren}} \\cdot
    \\underbrace{b\\cdot b \\cdot \\ldots \\cdot b}_{n \\text{ Faktoren}} = a^n \\cdot b^n$."],
    ["$\\left(a^n\\right)^m$",
     "$\\left(a^n\\right)^m = a^{n \\cdot m}$.
    <b>Beweis</b>: $\\left(a^n\\right)^m = 
    \\underbrace{a^n\\cdot a^n \\cdot \\ldots \\cdot a^n}_{m \\text{ Potenzen}} =
    \\underbrace{\\left(\\underbrace{a\\cdot a \\cdot \\ldots \\cdot a}_{\\text{$n$ Faktoren}}\\right)\\cdot \\left(\\underbrace{a\\cdot a \\cdot \\ldots \\cdot a}_{\\text{$n$ Faktoren}}\\right) \\cdot \\ldots \\cdot \\left(\\underbrace{a\\cdot a \\cdot \\ldots \\cdot a}_{\\text{$n$ Faktoren}}\\right)}_{m \\text{ Klammern}} =
    a^{n \\cdot m}$."],
    ["$\\frac{a^n}{a^m}$ für $n \\geq m$",
     "$\\frac{a^n}{a^m} = a^{n-m}$. <b>Beweis</b>
    $\\frac{a^n}{a^m} = \\frac{ \\overbrace{a\\cdot a \\cdot \\ldots \\cdot a}^{n \\text{ Faktoren}}}{\\underbrace{a\\cdot a \\cdot \\ldots \\cdot a}_{m \\text{ Faktoren}}} \\stackrel{m \\text{ Faktoren kürzen}}{=} \\frac{\\overbrace{a\\cdot a \\cdot \\ldots \\cdot a}^{n-m \\text{ Faktoren}}}{1} = a^{n-m}$."],
    ["$\\left(\\frac{a}{b}\\right)^n$",
     "$\\left(\\frac{a}{b}\\right)^n = \\frac{a^n}{b^n}$. <b>Beweis</b>:
    $\\left(\\frac{a}{b}\\right)^n = \\underbrace{\\frac{a}{b}\\cdot \\frac{a}{b} \\cdot \\ldots \\cdot \\frac{a}{b}}_{m \\text{ Brüche}} =
    \\frac{\\overbrace{a\\cdot a \\cdot \\ldots \\cdot a}^{n \\text{ Faktoren}}}{\\underbrace{b\\cdot b \\cdot \\ldots \\cdot b}_{n \\text{ Faktoren}}} =
    \\frac{a^n}{b^n}$."],
     
    
]


name = "potenzgesetzebeweisen"
res = "Schreiben Sie das entsprechende Potenzgesetze auf und beweisen Sie es für natürliche Zahlen:"
res += header(name)
res += e.inspect
res += footer(name, " <br><hr> ", "<br><hr>",5)+"\n"

xclip(res)

