# coding: utf-8
require "matrix"
require "../../header-footer.rb"



def ex
    while true
        a = Vector.elements(Array.new(3) {|i| i<2 ? rand(10)*(rand(2)*2-1) : rand(4)})        
        next if a.magnitude<5 || a.magnitude>8
        v = Vector.elements(Array.new(3){|i| i<2 ? rand(5)-2 : a[2]+rand(3)})
        v = (v-a).normalize.map{|x| (x*4).to_i*0.5}
        next if v.any?{|x| x==0}
        a=a.map{|x| x*0.5}
        #puts a
        #puts v
        code = <<-ENDCODE
#declare a = <#{a.to_a.join(", ")}>;
#declare ab = <#{v.to_a.join(", ")}>;
#declare i=0;
#while (i<5)
    union {
        sphere { <0, 0, 0>, 0.5}
        cylinder { <0, 0, 0>, <0, 0, -20>, 0.05 }
        pigment { color rgb <1-i/5, i/5, 0> }
        translate a+i*ab
    } // end union
    #declare i = i+1;
#end // while        
ENDCODE
        return [code, a,v]
        break
    end
end

def totalex
  n=4
  while true
    e = Array.new(n){ex}
    ok = true
    for i in 0..(n-2)
      for j in (i+1)..(n-1)
        ok &&= (e[i][1]-e[j][1]).magnitude>2
        break unless ok
        w = Math.acos((e[i][2].inner_product(e[j][2])/e[i][2].norm/e[j][2].norm))/Math::PI*180.0
        # p w
        ok &&= (w>20 && w<160) 
      end
    end
    next unless ok
    math = e.map.with_index{|x,i|
      "#{i+1}.) $\\vec{OG}(\\lambda) = \\begin{pmatrix}
#{x[1].to_a.join("\\\\ ")} \\end{pmatrix} + \\lambda \\cdot
\\begin{pmatrix} #{x[2].to_a.join("\\\\ ")} \\end{pmatrix}$<br>\n"
    }.join
    imgs = []
    e.each{|x|
      File.write("code.pov",x[0])
      `povray +W360 +H270 +A0.3 szene.pov`
      md5=`md5sum szene.png`.split(" ")[0]
      `mv szene.png #{md5}.png`
      `scp #{md5}.png fginfo:public_html/miniaufgaben/povray-gerade/.`
      imgs.push("<img src=\"https://fginfo.ksbg.ch/~ivo/miniaufgaben/povray-gerade/#{md5}.png\">")
      
    }
    p math
    perm = (0...n).to_a.shuffle
    code = "<table><tr><td>#{math}</td><td>"
    code += "<table>"
    n.times {|i|
      if i%2==0
        code+="<tr>"
      end
      code += "<td style=\"font-size:40px;\">#{(65+i).chr}</td><td>#{imgs[perm[i]]}</td>"
      if (i%2==1)
        code += "</tr>"
      end
    }
    code+="</table></table>"
    solution = perm.map.with_index{|x,i|
      "#{i+1}#{(65+perm.index(i)).chr}"
    }.join(" ")
    return [code, solution]
  end
end

e = Array.new(5){ totalex }


name = "povraygerade"
res = "Für ganzzahlige Parameter $\\lambda$ von $0$ bis $4$ werden Kugeln von rot bis grün dargestellt. Welche
Parameterdarstellung entspricht welchem Bild?"
res += header(name)
res += e.inspect
res += footer(name, " <br><hr> ", "<br><hr>",1)+"\n"

xclip(res)

