def dist(a,b)
  return Math.sqrt((a[0]-b[0])**2+(a[1]-b[2])**2+(a[2]-b[2])**2)
end

def to_pov(a)
  return "<#{a[0]}, #{a[1]}, #{a[2]}>"
end

def randPoints
  while (true)
    pts = Array.new(3){Array.new(3){|i| i<2 ? rand(7)-3 : rand(4)}}
    if dist(pts[0],pts[1])>3 &&
       dist(pts[0],pts[2])>3 &&
       dist(pts[1],pts[2])>3
      return pts
    end
  end
end


def randSpheres
  centers = randPoints
  rad = [0.5,1,1.5].shuffle
  color = ['x', 'y', 'z'].shuffle
  return Array.new(3){|i|
    "sphere { #{to_pov(centers[i])}, #{rad[i]}
  pigment { color rgb #{color[i]} }
}"}
  
end


puts randSpheres
