

def summe(var, unten, oben, summand, plus="")
  ex = "$\\displaystyle \\sum_{#{var}=#{unten}}^{#{oben}}{#{summand}} #{plus}$"
  sol = []
  if unten.is_a?(Numeric)
    if oben.is_a?(Numeric)
      i = unten
      while (i<=oben)
        sol.push(summand.gsub(var,i.to_s))
        if (i<=unten+1) || (i>=oben-2)
          i+=1
        else
          sol.push("\\ldots")
          i = oben-2
        end
      end
    else # oben not number
      for i in unten..(unten+2)
        sol.push(summand.gsub(var,i.to_s))
      end
      sol.push("\\ldots")
      for i in -2..-1
        sol.push(summand.gsub(var, "\\left(#{oben}-#{-i}\\right)"))
      end
      sol.push(summand.gsub(var, "\\left(#{oben}\\right)"))
    end
  else # unten not number
    sol.push(summand.gsub(var, "\\left(#{unten}\\right)"))
    for i in 1..2
      sol.push(summand.gsub(var, "\\left(#{unten}+(#{i})\\right)"))
    end
    sol.push("\\ldots")
    if (oben.is_a?(Numeric))
      for i in (oben-2)..oben
        sol.push(summand.gsub(var,i.to_s))
      end
    else
      for i in -2..-1
        sol.push(summand.gsub(var, "\\left(#{oben}-#{-i}\\right)"))
      end
      sol.push(summand.gsub(var, "\\left(#{oben}\\right)"))
    end
  end
  sol = "$\\displaystyle "+sol.join("+")+plus+"$"
  return [ex,sol]
end


# summe(var, unten, oben, summand, plus="")

res = []
res.push(summe("a", 3 , "n", "\\sqrt{i^2+a}","+\\sqrt{5}"))
res.push(summe("i", 3 , "n", "\\sqrt{i^2+a}","+\\sqrt{5}"))
res.push(summe("i", "m" , 42, "(i+a)^2","+(3+a)^2"))
res.push(summe("a", "m" , 42, "(i+a)^2","+(3+b)^2"))
res.push(summe("i", "n" , "m", "a_{i}","-s_m"))
res.push(summe("i", "x" , "y", "f(i)","+f(3)"))
res.push(summe("i", "2" , "20", "\\frac{i+2}{i}","-\\frac{7}{5}"))

p res
