# coding: utf-8
offset = ARGV[0] ? ARGV[0].to_i : 0

date = Time.now + offset*7*3600*24

date += 3600*24 while !(date.monday?)

def datum(date, wday=false)
  monate = %w(Januar Februar März April Mai Juni Juli August September Oktober November Dezember)
  tage = %w(Sonntag Montag Dienstag Mittwoch Donnerstag Freitag Samstag)
  "#{wday ? tage[date.wday]+" " : ""}#{date.day}. #{monate[date.month-1]} #{date.year}"
end


res = "==== #{datum(date)} bis #{datum(date+4*3600*24)} ====\n"

days = [1,4,5] # 1 Montag, 2 Dienstag, etc.
days.each{|d|
  if d.is_a?(Array)
    res += "=== "+d.map{|dd| datum(date + (dd-1)*24*3600,true)}.join(" und ")+" ===\n"
  else
    res+= "=== #{datum(date + (d-1)*24*3600,true)} ===\n"
  end
}
res += "\n\n"
weeknum = date.strftime('%W').to_i
weeklink = "%02d" % weeknum
res += "  * [[lehrkraefte:blc:miniaufgaben:kw#{weeklink}-#{date.year}|KW#{weeknum}, #{date.year}: ]]\n"

puts res

puts "\n\n    -> Copied to X-Buffer (using xclip)"

IO.popen("xclip", "w") {|f|
  f.puts res
}

