# coding: utf-8
require "./header-footer.rb"
require 'set'

class Set
    def to_tex() 
        "\\{#{to_a.sort.join(", ")}\\}"
    end
end

def ex()
    g = (1..12).to_a
    while true
        ab = Array.new(2){g.shuffle[0..(rand(3)+3)]}.map{|s| Set.new(s)}
        anb = ab[0] & ab[1]
        aub = ab[0] | ab[1]
        amb = ab[0] - ab[1]
        ac = (Set.new(g)-ab[0]) & ab[1]
        next if anb.size<2 || aub.size>=0.8*g.size || amb.size<2 || ac.size<2
        ex = "$A=#{ab[0].to_tex}$, $B=#{ab[1].to_tex}$"
        sol = "$A\\cap B = #{anb.to_tex}$, $A\\cup B=#{aub.to_tex}$, $A \\setminus B = #{amb.to_tex}$, $\\overline{A} \\cap B = #{ac.to_tex}$"
        return [ex,sol]
    end
end 


type = ARGV[0]
res = "" 
if (type.to_i==1)
  name = "mengenoperationen"

  all = Array.new(10){ex()}
  
  res = "Die Grundmenge seien die natürlichen Zahlen bis 12 ($G=\\{1,2,3,4,\\ldots,10,11,12\\}$). Bilden Sie für die gegebenen Mengen $A$ und $B$ folgende Mengen:\n\n $A\\cap B$, $A\\cup B$, $A\\setminus B$ und $\\overline{A} \\cap B$."
  res += header(name)
  res += all.inspect
  res += footer(name, " <hr> ", " <hr> ")+"\n"
  
end

xclip(res)
