
function generate(jQuery, idex, idsol, what) {

    what = (typeof what !== 'undefined') ?  what : "ab";
    
    var randi = function(m) {
	return Math.floor(Math.random()*m);
    };

    var randsign = function() {
	return randi(2)*2-1;
    };

    var dispVec2 = function(a) {
	return "\\begin{pmatrix}"+a[0]+"\\\\ "+a[1]+" \\end{pmatrix}";
    };
    var dispPoint2 = function(a) {
	return "\\left("+a[0]+", "+a[1]+" \\right)";
    };
    var vecDiff2 = function(a,b) {
	return [a[0]-b[0], a[1]-b[1]];
    };
    var vecSum2 = function(a,b) {
	return [a[0]+b[0], a[1]+b[1]];
    };
    var vecMul2 = function(v,m) {
	return [v[0]*m, v[1]*m];
    }
    
    var ex = "";
    var sol = "";
    var v
    for (var i=0; i<3; i++) {
	while (true) {
	    v = [randsign()*(2+randi(5)),randsign()*(2+randi(5))];
	    if ((what != "ac" || Math.abs(v[0])%2 != Math.abs(v[1])%2) &&
		(Math.abs(v[0])!=Math.abs(v[1]))) break;
	}
	var a = [randsign()*(2+randi(5)),randsign()*(2+randi(5))];
	var b = vecSum2(a,v);
	var u = [-v[1], v[0]];
	var c = vecSum2(b,u);
	var d = vecSum2(a,u);
	if (what=="ab") {
	    ex+=""+(i+1)+". $A="+dispPoint2(a)+"$, $B=" + dispPoint2(b)+"$<br><br>";
	    sol+=""+(i+1)+". $\\vec v = \\vec{AB} = \\vec{OB}-\\vec{OA} = "+dispVec2(v)+"$. ";
	    sol+="Daraus $\\vec u = \\vec v_{\\perp} = "+dispVec2(u)+"$. ";
	    sol+="$\\vec{OC} = \\vec{OB} + \\vec u = "+dispVec2(b)+"+"+dispVec2(u)+"="+dispVec2(c)+"$ und ";
	    sol+="$\\vec{OD} = \\vec{OA} + \\vec u = "+dispVec2(a)+"+"+dispVec2(u)+"="+dispVec2(d)+"$.";
	    sol+="Eine Lösung ist also $C="+dispPoint2(c)+"$ und $D="+dispPoint2(d)+"$.<br>";
	    sol+="Die zweite Lösung erhält man durch Subtraktion von $\\vec u$: &nbsp; "
	    sol+="$C_2="+dispPoint2(vecDiff2(b,u))+"$, $D_2="+dispPoint2(vecDiff2(a,u))+"$.<br><br>";
	} else if (what=="ac") {
	    c = vecSum2(a,v);
	    d = vecSum2(a, vecMul2(vecSum2(v,u),0.5));
	    b = vecDiff2(d,u);
	    ex+=""+(i+1)+". $A="+dispPoint2(a)+"$, $C=" + dispPoint2(c)+"$<br><br>";
	    sol+=""+(i+1)+". $\\vec v = \\vec{AC} = \\vec{OC}-\\vec{OA} = "+dispVec2(v)+"$. ";
	    sol+="Daraus $\\vec u = \\vec v_{\\perp} = "+dispVec2(u)+"$. ";
	    sol+="$\\vec{OB} = \\vec{OA} + \\frac{1}{2}\\vec v - \\frac{1}{2} \\vec u = ";
	    sol+=dispVec2(a)+"+\\frac{1}{2}"+dispVec2(v)+"-\\frac{1}{2}"+dispVec2(u)+"="+dispVec2(b)+"$ und ";
	    sol+="$\\vec{OD} = \\vec{OB} + \\vec u = ";
	    sol+=dispVec2(b)+"+"+dispVec2(u)+"="+dispVec2(d)+"$.";
	    sol+="Die Lösung ist also $B="+dispPoint2(b)+"$ und $D="+dispPoint2(d)+"$.<br><br>";
	}
    }
    jQuery(idex).append(ex);
    jQuery(idsol).append(sol);
    
}
jQuery = jQuery ? jQuery : $,1
jQuery(function() {generate(jQuery, "#exosab","#solab", "ab");});
